Lighttpd < 1.4.10a Crafted Filename Request Source Disclosure

Medium Nessus Network Monitor Plugin ID 3450

Synopsis

The remote host is vulnerable to a flaw that allows attackers to retrieve sensitive files or data.

Description

The remote host is running Lighttpd, a small web server. This version of Lighttpd is vulnerable to a flaw where an attacker can retrieve source code files. An attacker exploiting this flaw would be able to retrieve potentially sensitive data that would aid them in further attacks.

Solution

Upgrade to version 1.4.10a or higher.

See Also

http://trac.lighttpd.net/trac/changeset/1005

Plugin Details

Severity: Medium

ID: 3450

Family: Web Servers

Published: 2006/03/01

Modified: 2016/02/05

Dependencies: 1442

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5

Temporal Score: 4.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:F/RL:U/RC:C

CVSSv3

Base Score: 5.3

Temporal Score: 5.1

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

Temporal Vector: CVSS3#E:F/RL:U/RC:C

Exploitable With

CANVAS (D2ExploitPack)

Reference Information

CVE: CVE-2006-0814

BID: 16893